<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gxwebsoft.tower.mapper.TowerContractFinalSettleLostMapper">

    <!-- 关联查询sql -->
    <sql id="selectSql">
        SELECT a.*
        FROM tower_contract_final_settle_lost a
        <where>
            <if test="param.finalSettleLostId != null">
                AND a.final_settle_lost_id = #{param.finalSettleLostId}
            </if>
            <if test="param.finalSettleId != null">
                AND a.final_settle_id = #{param.finalSettleId}
            </if>
            <if test="param.itemId != null">
                AND a.item_id = #{param.itemId}
            </if>
            <if test="param.amount != null">
                AND a.amount = #{param.amount}
            </if>
            <if test="param.num != null">
                AND a.num = #{param.num}
            </if>
            <if test="param.userId != null">
                AND a.user_id = #{param.userId}
            </if>
            <if test="param.deleted != null">
                AND a.deleted = #{param.deleted}
            </if>
            <if test="param.deleted == null">
                AND a.deleted = 0
            </if>
            <if test="param.createTimeStart != null">
                AND a.create_time &gt;= #{param.createTimeStart}
            </if>
            <if test="param.createTimeEnd != null">
                AND a.create_time &lt;= #{param.createTimeEnd}
            </if>
        </where>
    </sql>

    <!-- 分页查询 -->
    <select id="selectPageRel" resultType="com.gxwebsoft.tower.entity.TowerContractFinalSettleLost">
        <include refid="selectSql"></include>
    </select>

    <!-- 查询全部 -->
    <select id="selectListRel" resultType="com.gxwebsoft.tower.entity.TowerContractFinalSettleLost">
        <include refid="selectSql"></include>
    </select>

</mapper>
